<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.dto.mastersync (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.dto.mastersync (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/json/metadata/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/mastersync/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.dto.mastersync</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/AppAuthenticationMethodDto.html" title="class in io.mosip.registration.dto.mastersync">AppAuthenticationMethodDto</a></td>
<td class="colLast">
<div class="block">Class AppAuthenticationMethodDto.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/AppDetailDto.html" title="class in io.mosip.registration.dto.mastersync">AppDetailDto</a></td>
<td class="colLast">
<div class="block">The Class AppDetailDto.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/ApplicantValidDocumentDto.html" title="class in io.mosip.registration.dto.mastersync">ApplicantValidDocumentDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/ApplicationDto.html" title="class in io.mosip.registration.dto.mastersync">ApplicationDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/AppRolePriorityDto.html" title="class in io.mosip.registration.dto.mastersync">AppRolePriorityDto</a></td>
<td class="colLast">
<div class="block">Class AppRolePriorityDto.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/BiometricAttributeDto.html" title="class in io.mosip.registration.dto.mastersync">BiometricAttributeDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/BiometricTypeDto.html" title="class in io.mosip.registration.dto.mastersync">BiometricTypeDto</a></td>
<td class="colLast">
<div class="block">Response dto for Biometric Type Detail</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/BiometricTypeResponseDto.html" title="class in io.mosip.registration.dto.mastersync">BiometricTypeResponseDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/BioTypeCodeAndLangCodeAndAttributeCode.html" title="class in io.mosip.registration.dto.mastersync">BioTypeCodeAndLangCodeAndAttributeCode</a></td>
<td class="colLast">
<div class="block">Response class for Biometric attribute save</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/BlacklistedWordsDto.html" title="class in io.mosip.registration.dto.mastersync">BlacklistedWordsDto</a></td>
<td class="colLast">
<div class="block">Blacklisted word DTO.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DeviceDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceDto</a></td>
<td class="colLast">
<div class="block">Response dto for Device Detail</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DeviceLangCodeDtypeDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceLangCodeDtypeDto</a></td>
<td class="colLast">
<div class="block">Response dto for Device Details for given Language code and device type</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DeviceSpecificationDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceSpecificationDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DeviceTypeCodeAndLanguageCodeAndId.html" title="class in io.mosip.registration.dto.mastersync">DeviceTypeCodeAndLanguageCodeAndId</a></td>
<td class="colLast">
<div class="block">Response class for Device specification save</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DeviceTypeDto.html" title="class in io.mosip.registration.dto.mastersync">DeviceTypeDto</a></td>
<td class="colLast">
<div class="block">Class for Device Type DTO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DocumentCategoryData.html" title="class in io.mosip.registration.dto.mastersync">DocumentCategoryData</a></td>
<td class="colLast">
<div class="block">Response dto for Document Category Detail</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DocumentCategoryDto.html" title="class in io.mosip.registration.dto.mastersync">DocumentCategoryDto</a></td>
<td class="colLast">
<div class="block">Response dto for Document Category Detail</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/DocumentTypeDto.html" title="class in io.mosip.registration.dto.mastersync">DocumentTypeDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/GenderDto.html" title="class in io.mosip.registration.dto.mastersync">GenderDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/HolidayDto.html" title="class in io.mosip.registration.dto.mastersync">HolidayDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/IdTypeDto.html" title="class in io.mosip.registration.dto.mastersync">IdTypeDto</a></td>
<td class="colLast">
<div class="block">DTO class for IdType fetch response.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/LanguageDto.html" title="class in io.mosip.registration.dto.mastersync">LanguageDto</a></td>
<td class="colLast">
<div class="block">Data transfer object class for Language.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/LocationCodeDto.html" title="class in io.mosip.registration.dto.mastersync">LocationCodeDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/LocationDto.html" title="class in io.mosip.registration.dto.mastersync">LocationDto</a></td>
<td class="colLast">
<div class="block">This class will contains the location code and value for the field</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/LocationHierarchyDto.html" title="class in io.mosip.registration.dto.mastersync">LocationHierarchyDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/MachineDto.html" title="class in io.mosip.registration.dto.mastersync">MachineDto</a></td>
<td class="colLast">
<div class="block">Response dto for Machine Detail</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/MachineSpecificationDto.html" title="class in io.mosip.registration.dto.mastersync">MachineSpecificationDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/MachineTypeDto.html" title="class in io.mosip.registration.dto.mastersync">MachineTypeDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/MasterDataResponseDto.html" title="class in io.mosip.registration.dto.mastersync">MasterDataResponseDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/MasterReasonCategoryDto.html" title="class in io.mosip.registration.dto.mastersync">MasterReasonCategoryDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/MasterRegistrationCenterDeviceDto.html" title="class in io.mosip.registration.dto.mastersync">MasterRegistrationCenterDeviceDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/MasterSyncBaseDto.html" title="class in io.mosip.registration.dto.mastersync">MasterSyncBaseDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/PostReasonCategoryDto.html" title="class in io.mosip.registration.dto.mastersync">PostReasonCategoryDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/ProcessListDto.html" title="class in io.mosip.registration.dto.mastersync">ProcessListDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/ReasonListDto.html" title="class in io.mosip.registration.dto.mastersync">ReasonListDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterDeviceDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterDeviceDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterMachineDeviceDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterMachineDeviceDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterMachineDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterMachineDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterTypeDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterTypeDto</a></td>
<td class="colLast">
<div class="block">Class that holds the variables of each registration center type list data to
 be added.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterUserDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterUserDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/RegistrationCenterUserMachineMappingDto.html" title="class in io.mosip.registration.dto.mastersync">RegistrationCenterUserMachineMappingDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/ScreenAuthorizationDto.html" title="class in io.mosip.registration.dto.mastersync">ScreenAuthorizationDto</a></td>
<td class="colLast">
<div class="block">Screen authorizaton DTO class</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/TemplateDto.html" title="class in io.mosip.registration.dto.mastersync">TemplateDto</a></td>
<td class="colLast">
<div class="block">Response Dto for Template details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/TemplateFileFormatDto.html" title="class in io.mosip.registration.dto.mastersync">TemplateFileFormatDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/TemplateTypeDto.html" title="class in io.mosip.registration.dto.mastersync">TemplateTypeDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/TitleDto.html" title="class in io.mosip.registration.dto.mastersync">TitleDto</a></td>
<td class="colLast">
<div class="block">DTO class for fetching titles from masterdata</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/dto/mastersync/ValidDocumentDto.html" title="class in io.mosip.registration.dto.mastersync">ValidDocumentDto</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dto/json/metadata/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/mastersync/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
